package cn.ibizlab.core.pay.filter;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.*;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;

import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;


import cn.ibizlab.util.filter.QueryWrapperContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.core.pay.domain.PayTrade;
/**
 * 关系型数据实体[PayTrade] 查询条件对象
 */
@Slf4j
@Data
public class PayTradeSearchContext extends QueryWrapperContext<PayTrade> {

	private String n_tradename_like;//[属性2]
	public void setN_tradename_like(String n_tradename_like) {
        this.n_tradename_like = n_tradename_like;
        if(!ObjectUtils.isEmpty(this.n_tradename_like)){
            this.getSearchCond().like("tradename", n_tradename_like);
        }
    }

    /**
	 * 启用快速搜索
	 */
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
            this.getSearchCond().and( wrapper ->
                     wrapper.like("tradename", query)   
            );
		 }
	}
}



